aead_algorithms.h File Reference

Collection of AEAD algorithms. More...

#include "core/crypto.h"
#include "aead/gcm.h"
#include "aead/ccm.h"
#include "aead/siv.h"
#include "lwc/ascon_aead128.h"
#include "aead/chacha20_poly1305.h"

Go to the source code of this file.

Enumerations

enum  AeadAlgo {
  AEAD_AES_128_GCM = 1, AEAD_AES_256_GCM = 2, AEAD_AES_128_CCM = 3, AEAD_AES_256_CCM = 4,
  AEAD_AES_128_GCM_8 = 5, AEAD_AES_256_GCM_8 = 6, AEAD_AES_128_GCM_12 = 7, AEAD_AES_256_GCM_12 = 8,
  AEAD_AES_128_CCM_SHORT = 9, AEAD_AES_256_CCM_SHORT = 10, AEAD_AES_128_CCM_SHORT_8 = 11, AEAD_AES_256_CCM_SHORT_8 = 12,
  AEAD_AES_128_CCM_SHORT_12 = 13, AEAD_AES_256_CCM_SHORT_12 = 14, AEAD_AES_SIV_CMAC_256 = 15, AEAD_AES_SIV_CMAC_384 = 16,
  AEAD_AES_SIV_CMAC_512 = 17, AEAD_AES_128_CCM_8 = 18, AEAD_AES_256_CCM_8 = 19, AEAD_AES_128_OCB_TAGLEN128 = 20,
  AEAD_AES_128_OCB_TAGLEN96 = 21, AEAD_AES_128_OCB_TAGLEN64 = 22, AEAD_AES_192_OCB_TAGLEN128 = 23, AEAD_AES_192_OCB_TAGLEN96 = 24,
  AEAD_AES_192_OCB_TAGLEN64 = 25, AEAD_AES_256_OCB_TAGLEN128 = 26, AEAD_AES_256_OCB_TAGLEN96 = 27, AEAD_AES_256_OCB_TAGLEN64 = 28,
  AEAD_CHACHA20_POLY1305 = 29, AEAD_AES_128_GCM_SIV = 30, AEAD_AES_256_GCM_SIV = 31, AEAD_AEGIS128L = 32,
  AEAD_AEGIS256 = 33
}
 AEAD algorithms. More...
 

Detailed Description

Collection of AEAD algorithms.

License

SPDX-License-Identifier: GPL-2.0-or-later

Copyright (C) 2010-2026 Oryx Embedded SARL. All rights reserved.

This file is part of CycloneCRYPTO Open.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

Author
Oryx Embedded SARL (www.oryx-embedded.com)
Version
2.6.6

Definition in file aead_algorithms.h.

Enumeration Type Documentation

◆ AeadAlgo

enum AeadAlgo

AEAD algorithms.

Enumerator
AEAD_AES_128_GCM 

RFC 5116.

AEAD_AES_256_GCM 

RFC 5116.

AEAD_AES_128_CCM 

RFC 5116.

AEAD_AES_256_CCM 

RFC 5116.

AEAD_AES_128_GCM_8 

RFC 5282.

AEAD_AES_256_GCM_8 

RFC 5282.

AEAD_AES_128_GCM_12 

RFC 5282.

AEAD_AES_256_GCM_12 

RFC 5282.

AEAD_AES_128_CCM_SHORT 

RFC 5282.

AEAD_AES_256_CCM_SHORT 

RFC 5282.

AEAD_AES_128_CCM_SHORT_8 

RFC 5282.

AEAD_AES_256_CCM_SHORT_8 

RFC 5282.

AEAD_AES_128_CCM_SHORT_12 

RFC 5282.

AEAD_AES_256_CCM_SHORT_12 

RFC 5282.

AEAD_AES_SIV_CMAC_256 

RFC 5297.

AEAD_AES_SIV_CMAC_384 

RFC 5297.

AEAD_AES_SIV_CMAC_512 

RFC 5297.

AEAD_AES_128_CCM_8 

RFC 6655.

AEAD_AES_256_CCM_8 

RFC 6655.

AEAD_AES_128_OCB_TAGLEN128 

RFC 7253.

AEAD_AES_128_OCB_TAGLEN96 

RFC 7253.

AEAD_AES_128_OCB_TAGLEN64 

RFC 7253.

AEAD_AES_192_OCB_TAGLEN128 

RFC 7253.

AEAD_AES_192_OCB_TAGLEN96 

RFC 7253.

AEAD_AES_192_OCB_TAGLEN64 

RFC 7253.

AEAD_AES_256_OCB_TAGLEN128 

RFC 7253.

AEAD_AES_256_OCB_TAGLEN96 

RFC 7253.

AEAD_AES_256_OCB_TAGLEN64 

RFC 7253.

AEAD_CHACHA20_POLY1305 

RFC 8439.

AEAD_AES_128_GCM_SIV 

RFC 8452.

AEAD_AES_256_GCM_SIV 

RFC 8452.

AEAD_AEGIS128L 

Draft.

AEAD_AEGIS256 

Draft.

Definition at line 72 of file aead_algorithms.h.